Subject: Re: bug#50732: 28.0.50; project-find-dir: blank line in fido-vertical-mode

From: Dmitry Gutov <[email-masked]>
Date: Wed, 22 Sep 2021 21:09:09 +0300

On 22.09.2021 19:14, Juri Linkov wrote:
>>>> But should it be changed? It seems, while "" is a valid choice (which
>>>> leads to visiting the root directory), without it in the completions set
>>>> fido-vertical-mode doesn't easily allow you to select such
>>>> option. Whereas the default completion UI does.
>>> Interesting, it seems to be just a matter of how it looks with a vertical
>>> UI then. With the default completion a blank makes more sense to my eyes.
>>> However, this option leads to the root directory just like C-x p D does,
>>> IIUC. I guess I could live without the blank line since there is already
>>> a key binding for a Dired buffer in the project root.
>> That also makes a certain amount of sense.
>>
>> What do other people think?
> Please don't change project-find-dir, it has no problem.
> The problem is in fido-vertical-mode.  It should display
> an empty string with some visual indication, for example:
> 
>    <empty>
>    dir1
>    dir2

While it's a possible improvement for icomplete-vertical-mode, I don't 
think it's the best UI here: showing <empty> will keep the user guessing 
what selecting this value will do.

OK, I've added './' as an option. That was a bit nontrivial because of 
the existing project-read-file-name-function abstraction.

Thanks all! Closing.